## python-psutil 5.0.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
PYTHON        = python
SPHINXOPTS    =
SPHINXBUILD   = $(PYTHON) -m sphinx
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/psutil.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/psutil.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/psutil"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/psutil"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-psutil (5.0.1-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Thu, 05 Jan 2017 14:23:41 -0500

python-psutil (5.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream release
  * d/copyright: Changed licence shortname from BSD to BSD-3-clause
  * Bumped debhelper compat version to 10
  * d/watch: Use https
  * Enabled autopkgtest-pkg-python testsuite

 -- Sandro Tosi <morph@debian.org>  Sun, 11 Dec 2016 17:46:55 -0500

python-psutil (4.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Oct 2016 15:56:41 -0400

=== debian/control ===
Source: python-psutil
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 10), python-all-dev, python3-all-dev, python-all-dbg, python3-all-dbg, dh-python, procps, python-sphinx (>= 1.0.7+dfsg), python-ipaddress, python-mock
Standards-Version: 3.9.8
XS-Python-Version: all
X-Python3-Version: >= 3.2
Homepage: https://github.com/giampaolo/psutil
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-psutil.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-psutil.git
Testsuite: autopkgtest-pkg-python

Package: python-psutil
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Suggests: python-psutil-doc
Description: module providing convenience functions for managing processes
 psutil is a module providing an interface for retrieving information on
 running processes and system utilization (CPU, memory) in a portable way
 by using Python, implementing many functionalities offered by tools like
 ps, top and Windows task manager.
 .
 It currently supports Linux, OS X, FreeBSD and Windows.

Package: python-psutil-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, python-psutil (= ${binary:Version}), python-dbg, ${shlibs:Depends}
Description: module providing convenience functions for managing processes (debug)
 psutil is a module providing an interface for retrieving information on
 running processes and system utilization (CPU, memory) in a portable way
 by using Python, implementing many functionalities offered by tools like
 ps, top and Windows task manager.
 .
 It currently supports Linux, OS X, FreeBSD and Windows.
 .
 This package contains the debug extension for python-psutil.

Package: python3-psutil
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Suggests: python-psutil-doc
Description: module providing convenience functions for managing processes (Python3)
 psutil is a module providing an interface for retrieving information on
 running processes and system utilization (CPU, memory) in a portable way
 by using Python, implementing many functionalities offered by tools like
 ps, top and Windows task manager.
 .
 It currently supports Linux, OS X, FreeBSD and Windows.
 .
 This package contains the Python 3 version of psutil.

Package: python3-psutil-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, python3-psutil (= ${binary:Version}), python3-dbg, ${shlibs:Depends}
Description: module providing convenience functions for managing processes (Python3 debug)
 psutil is a module providing an interface for retrieving information on
 running processes and system utilization (CPU, memory) in a portable way
 by using Python, implementing many functionalities offered by tools like
 ps, top and Windows task manager.
 .
 It currently supports Linux, OS X, FreeBSD and Windows.
 .
 This package contains the debug extension for python3-psutil-.

Package: python-psutil-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: module providing convenience functions for managing processes (doc)
 psutil is a module providing an interface for retrieving information on
 running processes and system utilization (CPU, memory) in a portable way
 by using Python, implementing many functionalities offered by tools like
 ps, top and Windows task manager.
 .
 It currently supports Linux, OS X, FreeBSD and Windows.
 .
 This package contains the documentation for psutil.

=== debian/rules ===
#!/usr/bin/make -f

PY2VERS := $(shell pyversions -s)
PY3VERS := $(shell py3versions -s)

%:
	dh $@ --with python2,python3,sphinxdoc

override_dh_auto_build:
	set -e ; \
	for python in $(PY2VERS) $(PY3VERS); do \
		$$python setup.py build; \
		$$python-dbg setup.py build; \
	done
	$(MAKE) -C docs html

override_dh_auto_install:
	set -e ; \
	for python in $(PY2VERS); do \
		$$python setup.py install --install-layout=deb --root $(CURDIR)/debian/python-psutil; \
		$$python-dbg setup.py install --install-layout=deb --root $(CURDIR)/debian/python-psutil-dbg; \
	done
	set -e ; \
	for python in $(PY3VERS); do \
		$$python setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-psutil; \
		$$python-dbg setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-psutil-dbg; \
	done

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	# run tests
	-for python in $(PY2VERS) $(PY3VERS); do \
		echo "running tests on "$$python ; \
		LIB=$$($$python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_platlib)") ; \
		PYTHONPATH=$(CURDIR)/$$LIB $$python $(CURDIR)/$$LIB/psutil/tests/runner.py ; \
		echo "running tests on "$$python-dbg ; \
		LIB=$$($$python-dbg -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_platlib)") ; \
		PYTHONPATH=$(CURDIR)/$$LIB $$python-dbg $(CURDIR)/$$LIB/psutil/tests/runner.py ; \
	done
endif

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst

override_dh_installdocs:
	dh_installdocs -X.DS_Store
	dh_installdocs -ppython-psutil-doc docs/_build/html README.rst

override_dh_compress:
	dh_compress -X.py

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython-psutil --dbg-package=python-psutil-dbg
	dh_strip -ppython3-psutil --dbg-package=python3-psutil-dbg
endif

## python-psutil 5.4.2

=== Makefile ===
# Shortcuts for various tasks (UNIX only).
# To use a specific Python version run: "make install PYTHON=python3.3"
# You can set the variables below from the command line.

PYTHON = python
TSCRIPT = psutil/tests/__main__.py
ARGS =
# List of nice-to-have dev libs.
DEPS = \
	argparse \
	check-manifest \
	coverage \
	flake8 \
	futures \
	ipaddress \
	mock==1.0.1 \
	pep8 \
	perf \
	pyflakes \
	requests \
	setuptools \
	sphinx \
	twine \
	unittest2 \
	wheel

# In not in a virtualenv, add --user options for install commands.
INSTALL_OPTS = `$(PYTHON) -c "import sys; print('' if hasattr(sys, 'real_prefix') else '--user')"`
TEST_PREFIX = PYTHONWARNINGS=all PSUTIL_TESTING=1 PSUTIL_DEBUG=1

all: test

# ===================================================================
# Install
# ===================================================================

clean:  ## Remove all build files.
	rm -rf `find . -type d -name __pycache__ \
		-o -type f -name \*.bak \
		-o -type f -name \*.orig \
		-o -type f -name \*.pyc \
		-o -type f -name \*.pyd \
		-o -type f -name \*.pyo \
		-o -type f -name \*.rej \
		-o -type f -name \*.so \
		-o -type f -name \*.~ \
		-o -type f -name \*\$testfn`
	rm -rf \
		*.core \
		*.egg-info \
		*\$testfn* \
		.coverage \
		.tox \
		build/ \
		dist/ \
		docs/_build/ \
		htmlcov/ \
		tmp/

_:

build: _  ## Compile without installing.
	# make sure setuptools is installed (needed for 'develop' / edit mode)
	$(PYTHON) -c "import setuptools"
	PYTHONWARNINGS=all $(PYTHON) setup.py build
	@# copies compiled *.so files in ./psutil directory in order to allow
	@# "import psutil" when using the interactive interpreter from within
	@# this directory.
	PYTHONWARNINGS=all $(PYTHON) setup.py build_ext -i
	rm -rf tmp
	$(PYTHON) -c "import psutil"  # make sure it actually worked

install:  ## Install this package as current user in "edit" mode.
	${MAKE} build
	PYTHONWARNINGS=all $(PYTHON) setup.py develop $(INSTALL_OPTS)
	rm -rf tmp

uninstall:  ## Uninstall this package via pip.
	cd ..; $(PYTHON) -m pip uninstall -y -v psutil

install-pip:  ## Install pip (no-op if already installed).
	$(PYTHON) -c \
		"import sys, ssl, os, pkgutil, tempfile, atexit; \
		sys.exit(0) if pkgutil.find_loader('pip') else None; \
		pyexc = 'from urllib.request import urlopen' if sys.version_info[0] == 3 else 'from urllib2 import urlopen'; \
		exec(pyexc); \
		ctx = ssl._create_unverified_context() if hasattr(ssl, '_create_unverified_context') else None; \
		kw = dict(context=ctx) if ctx else {}; \
		req = urlopen('https://bootstrap.pypa.io/get-pip.py', **kw); \
		data = req.read(); \
		f = tempfile.NamedTemporaryFile(suffix='.py'); \
		atexit.register(f.close); \
		f.write(data); \
		f.flush(); \
		print('downloaded %s' % f.name); \
		code = os.system('%s %s --user' % (sys.executable, f.name)); \
		f.close(); \
		sys.exit(code);"

setup-dev-env:  ## Install GIT hooks, pip, test deps (also upgrades them).
	${MAKE} install-git-hooks
	${MAKE} install-pip
	$(PYTHON) -m pip install $(INSTALL_OPTS) --upgrade pip
	$(PYTHON) -m pip install $(INSTALL_OPTS) --upgrade $(DEPS)

# ===================================================================
# Tests
# ===================================================================

test:  ## Run all tests.
	${MAKE} install
	$(TEST_PREFIX) $(PYTHON) $(TSCRIPT)

test-process:  ## Run process-related API tests.
	${MAKE} install
	$(TEST_PREFIX) $(PYTHON) -m unittest -v psutil.tests.test_process

test-system:  ## Run system-related API tests.
	${MAKE} install
	$(TEST_PREFIX) $(PYTHON) -m unittest -v psutil.tests.test_system

test-misc:  ## Run miscellaneous tests.
	${MAKE} install
	$(TEST_PREFIX) $(PYTHON) psutil/tests/test_misc.py

test-unicode:  ## Test APIs dealing with strings.
	${MAKE} install
	$(TEST_PREFIX) $(PYTHON) psutil/tests/test_unicode.py

test-contracts:  ## APIs sanity tests.
	${MAKE} install
	$(TEST_PREFIX) $(PYTHON) psutil/tests/test_contracts.py

test-connections:  ## Test net_connections() and Process.connections().
	${MAKE} install
	$(TEST_PREFIX) $(PYTHON) psutil/tests/test_connections.py

test-posix:  ## POSIX specific tests.
	${MAKE} install
	$(TEST_PREFIX) $(PYTHON) psutil/tests/test_posix.py

test-platform:  ## Run specific platform tests only.
	${MAKE} install
	$(TEST_PREFIX) $(PYTHON) psutil/tests/test_`$(PYTHON) -c 'import psutil; print([x.lower() for x in ("LINUX", "BSD", "OSX", "SUNOS", "WINDOWS", "AIX") if getattr(psutil, x)][0])'`.py

test-memleaks:  ## Memory leak tests.
	${MAKE} install
	$(TEST_PREFIX) $(PYTHON) psutil/tests/test_memory_leaks.py

test-by-name:  ## e.g. make test-by-name ARGS=psutil.tests.test_system.TestSystemAPIs
	${MAKE} install
	@$(TEST_PREFIX) $(PYTHON) -m unittest -v $(ARGS)

test-coverage:  ## Run test coverage.
	${MAKE} install
	# Note: coverage options are controlled by .coveragerc file
	rm -rf .coverage htmlcov
	$(TEST_PREFIX) $(PYTHON) -m coverage run $(TSCRIPT)
	$(PYTHON) -m coverage report
	@echo "writing results to htmlcov/index.html"
	$(PYTHON) -m coverage html
	$(PYTHON) -m webbrowser -t htmlcov/index.html

# ===================================================================
# Linters
# ===================================================================

pep8:  ## PEP8 linter.
	@git ls-files | grep \\.py$ | xargs $(PYTHON) -m pep8

pyflakes:  ## Pyflakes linter.
	@export PYFLAKES_NODOCTEST=1 && \
		git ls-files | grep \\.py$ | xargs $(PYTHON) -m pyflakes

flake8:  ## flake8 linter.
	@git ls-files | grep \\.py$ | xargs $(PYTHON) -m flake8

# ===================================================================
# GIT
# ===================================================================

git-tag-release:  ## Git-tag a new release.
	git tag -a release-`python -c "import setup; print(setup.get_version())"` -m `git rev-list HEAD --count`:`git rev-parse --short HEAD`
	git push --follow-tags

install-git-hooks:  ## Install GIT pre-commit hook.
	ln -sf ../../.git-pre-commit .git/hooks/pre-commit
	chmod +x .git/hooks/pre-commit

# ===================================================================
# Distribution
# ===================================================================

# --- create

sdist:  ## Create tar.gz source distribution.
	${MAKE} generate-manifest
	$(PYTHON) setup.py sdist

wheel:  ## Generate wheel.
	$(PYTHON) setup.py bdist_wheel

win-download-wheels:  ## Download wheels hosted on appveyor.
	$(TEST_PREFIX) $(PYTHON) scripts/internal/download_exes.py --user giampaolo --project psutil

# --- upload

upload-src:  ## Upload source tarball on https://pypi.python.org/pypi/psutil.
	${MAKE} sdist
	$(PYTHON) setup.py sdist upload

upload-win-wheels:  ## Upload wheels in dist/* directory on PYPI.
	$(PYTHON) -m twine upload dist/*.whl

# --- others

pre-release:  ## Check if we're ready to produce a new release.
	rm -rf dist
	${MAKE} install
	$(PYTHON) -c \
		"from psutil import __version__ as ver; \
		doc = open('docs/index.rst').read(); \
		history = open('HISTORY.rst').read(); \
		assert ver in doc, '%r not in docs/index.rst' % ver; \
		assert ver in history, '%r not in HISTORY.rst' % ver; \
		assert 'XXXX' not in history, 'XXXX in HISTORY.rst';"
	${MAKE} generate-manifest
	git diff MANIFEST.in > /dev/null  # ...otherwise 'git diff-index HEAD' will complain
	$(PYTHON) -c "import subprocess, sys; out = subprocess.check_output('git diff-index HEAD --', shell=True).strip(); sys.exit('there are uncommitted changes:\n%s' % out) if out else sys.exit(0);"
	${MAKE} win-download-wheels
	${MAKE} sdist

release:  ## Create a release (down/uploads tar.gz, wheels, git tag release).
	${MAKE} pre-release
	$(PYTHON) -m twine upload dist/*  # upload tar.gz and Windows wheels on PYPI
	${MAKE} git-tag-release

print-announce:  ## Print announce of new release.
	@$(TEST_PREFIX) $(PYTHON) scripts/internal/print_announce.py

print-timeline:  ## Print releases' timeline.
	@$(TEST_PREFIX) $(PYTHON) scripts/internal/print_timeline.py

check-manifest:  ## Inspect MANIFEST.in file.
	$(PYTHON) -m check_manifest -v $(ARGS)

generate-manifest:  ## Generates MANIFEST.in file.
	$(PYTHON) scripts/internal/generate_manifest.py > MANIFEST.in

# ===================================================================
# Misc
# ===================================================================

grep-todos:  ## Look for TODOs in the source files.
	git grep -EIn "TODO|FIXME|XXX"

bench-oneshot:  ## Benchmarks for oneshot() ctx manager (see #799).
	${MAKE} install
	$(TEST_PREFIX) $(PYTHON) scripts/internal/bench_oneshot.py

bench-oneshot-2:  ## Same as above but using perf module (supposed to be more precise)
	${MAKE} install
	$(TEST_PREFIX) $(PYTHON) scripts/internal/bench_oneshot_2.py

check-broken-links:  ## Look for broken links in source files.
		git ls-files | xargs $(PYTHON) -Wa scripts/internal/check_broken_links.py

help: ## Display callable targets.
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-20s\033[0m %s\n", $$1, $$2}'

=== debian/changelog ===
python-psutil (5.4.2-1ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: double-free via refcount mishandling
    - debian/patches/CVE-2019-18874-1.patch: use Py_CLEAR instead of
      Py_DECREF in psutil/_psutil_linux.c.
    - debian/patches/CVE-2019-18874-2.patch: use Py_CLEAR instead of
      Py_DECREF in psutil/_psutil_posix.c.
    - CVE-2019-18874

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 22 Nov 2019 10:17:21 -0500

python-psutil (5.4.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump Standards-Version to 4.1.2 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Dec 2017 21:10:10 -0500

python-psutil (5.4.1-1) unstable; urgency=medium

  * New upstream release; Closes: #881602
  * debian/control
    - bump Standards-Version to 4.1.1 (no changes needed)
    - remove all Priority: extra
    - move to python3-sphinx
    - add python3-sphinx-rtd-theme to b-d, needed for doc
  * debian/rules
    - use upstream Makefile to run tests
    - build doc with python3

 -- Sandro Tosi <morph@debian.org>  Sat, 25 Nov 2017 20:51:53 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: python-psutil
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 10), python-all-dev, python3-all-dev, python-all-dbg, python3-all-dbg, dh-python, procps, python-sphinx (>= 1.0.7+dfsg), python-ipaddress, python-mock
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), python-all-dev, python3-all-dev, python-all-dbg, python3-all-dbg, dh-python, procps, python3-sphinx, python-ipaddress, python-mock, python3-sphinx-rtd-theme
+Standards-Version: 4.1.2
 XS-Python-Version: all
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/giampaolo/psutil
@@ -26,7 +27,6 @@
 
 Package: python-psutil-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Depends: ${misc:Depends}, python-psutil (= ${binary:Version}), python-dbg, ${shlibs:Depends}
 Description: module providing convenience functions for managing processes (debug)
@@ -55,7 +55,6 @@
 
 Package: python3-psutil-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Depends: ${misc:Depends}, python3-psutil (= ${binary:Version}), python3-dbg, ${shlibs:Depends}
 Description: module providing convenience functions for managing processes (Python3 debug)

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 		$$python setup.py build; \
 		$$python-dbg setup.py build; \
 	done
-	$(MAKE) -C docs html
+	$(MAKE) -C docs html PYTHON=python3
 
 override_dh_auto_install:
 	set -e ; \
@@ -32,10 +32,10 @@
 	-for python in $(PY2VERS) $(PY3VERS); do \
 		echo "running tests on "$$python ; \
 		LIB=$$($$python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_platlib)") ; \
-		PYTHONPATH=$(CURDIR)/$$LIB $$python $(CURDIR)/$$LIB/psutil/tests/runner.py ; \
+		$(MAKE) PYTHONPATH=$(CURDIR)/$$LIB PYTHON=$$python test ; \
 		echo "running tests on "$$python-dbg ; \
 		LIB=$$($$python-dbg -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_platlib)") ; \
-		PYTHONPATH=$(CURDIR)/$$LIB $$python-dbg $(CURDIR)/$$LIB/psutil/tests/runner.py ; \
+		$(MAKE) PYTHONPATH=$(CURDIR)/$$LIB PYTHON=$$python-dbg test ; \
 	done
 endif

## python-psutil 5.4.6

=== Makefile ===
--- 
+++ 
@@ -76,7 +76,8 @@
 	rm -rf tmp
 
 uninstall:  ## Uninstall this package via pip.
-	cd ..; $(PYTHON) -m pip uninstall -y -v psutil
+	cd ..; $(PYTHON) -m pip uninstall -y -v psutil || true
+	$(PYTHON) scripts/internal/purge_installation.py
 
 install-pip:  ## Install pip (no-op if already installed).
 	$(PYTHON) -c \
@@ -205,7 +206,7 @@
 
 # --- upload
 
-upload-src:  ## Upload source tarball on https://pypi.python.org/pypi/psutil.
+upload-src:  ## Upload source tarball on https://pypi.org/project/psutil/
 	${MAKE} sdist
 	$(PYTHON) setup.py sdist upload
 
@@ -217,6 +218,10 @@
 pre-release:  ## Check if we're ready to produce a new release.
 	rm -rf dist
 	${MAKE} install
+	${MAKE} generate-manifest
+	git diff MANIFEST.in > /dev/null  # ...otherwise 'git diff-index HEAD' will complain
+	${MAKE} win-download-wheels
+	${MAKE} sdist
 	$(PYTHON) -c \
 		"from psutil import __version__ as ver; \
 		doc = open('docs/index.rst').read(); \
@@ -224,11 +229,7 @@
 		assert ver in doc, '%r not in docs/index.rst' % ver; \
 		assert ver in history, '%r not in HISTORY.rst' % ver; \
 		assert 'XXXX' not in history, 'XXXX in HISTORY.rst';"
-	${MAKE} generate-manifest
-	git diff MANIFEST.in > /dev/null  # ...otherwise 'git diff-index HEAD' will complain
-	$(PYTHON) -c "import subprocess, sys; out = subprocess.check_output('git diff-index HEAD --', shell=True).strip(); sys.exit('there are uncommitted changes:\n%s' % out) if out else sys.exit(0);"
-	${MAKE} win-download-wheels
-	${MAKE} sdist
+	$(PYTHON) -c "import subprocess, sys; out = subprocess.check_output('git diff --quiet && git diff --cached --quiet', shell=True).strip(); sys.exit('there are uncommitted changes:\n%s' % out) if out else 0 ;"
 
 release:  ## Create a release (down/uploads tar.gz, wheels, git tag release).
 	${MAKE} pre-release
@@ -263,7 +264,7 @@
 	$(TEST_PREFIX) $(PYTHON) scripts/internal/bench_oneshot_2.py
 
 check-broken-links:  ## Look for broken links in source files.
-		git ls-files | xargs $(PYTHON) -Wa scripts/internal/check_broken_links.py
+	git ls-files | xargs $(PYTHON) -Wa scripts/internal/check_broken_links.py
 
 help: ## Display callable targets.
 	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-20s\033[0m %s\n", $$1, $$2}'

=== debian/changelog ===
python-psutil (5.4.6-1build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 06:55:04 +0000

python-psutil (5.4.6-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python3-Version field

  [ Sandro Tosi ]
  * New upstream release
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.1.4 (no changes needed)
  * debian/patches/*.patch
    - rebase for new upstream code

 -- Sandro Tosi <morph@debian.org>  Thu, 07 Jun 2018 20:46:43 -0400

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: python-psutil
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 10), python-all-dev, python3-all-dev, python-all-dbg, python3-all-dbg, dh-python, procps, python3-sphinx, python-ipaddress, python-mock, python3-sphinx-rtd-theme
-Standards-Version: 4.1.2
+Standards-Version: 4.1.4
 XS-Python-Version: all
-X-Python3-Version: >= 3.2
 Homepage: https://github.com/giampaolo/psutil
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-psutil.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-psutil.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-psutil.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-psutil
 Testsuite: autopkgtest-pkg-python
 
 Package: python-psutil

## python-psutil 5.5.1

=== Makefile ===
--- 
+++ 
@@ -210,7 +210,7 @@
 	${MAKE} sdist
 	$(PYTHON) setup.py sdist upload
 
-upload-win-wheels:  ## Upload wheels in dist/* directory on PYPI.
+upload-win-wheels:  ## Upload wheels in dist/* directory on PyPI.
 	$(PYTHON) -m twine upload dist/*.whl
 
 # --- others
@@ -233,7 +233,7 @@
 
 release:  ## Create a release (down/uploads tar.gz, wheels, git tag release).
 	${MAKE} pre-release
-	$(PYTHON) -m twine upload dist/*  # upload tar.gz and Windows wheels on PYPI
+	$(PYTHON) -m twine upload dist/*  # upload tar.gz and Windows wheels on PyPI
 	${MAKE} git-tag-release
 
 print-announce:  ## Print announce of new release.

=== debian/changelog ===
python-psutil (5.5.1-1ubuntu4) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:46:32 +0100

python-psutil (5.5.1-1ubuntu3) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:18:25 +0000

python-psutil (5.5.1-1ubuntu2) focal; urgency=medium

  * python-psutil-dbg: Depend on python2-dbg.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Jan 2020 12:49:06 +0100

python-psutil (5.5.1-1ubuntu1) focal; urgency=medium

  * SECURITY UPDATE: double-free via refcount mishandling
    - debian/patches/CVE-2019-18874-1.patch: use Py_CLEAR instead of
      Py_DECREF in psutil/_psutil_linux.c.
    - debian/patches/CVE-2019-18874-2.patch: use Py_CLEAR instead of
      Py_DECREF in psutil/_psutil_posix.c.
    - CVE-2019-18874

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 22 Nov 2019 10:37:48 -0500

python-psutil (5.5.1-1build2) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:11:20 +0000

python-psutil (5.5.1-1build1) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:07:17 +0000

python-psutil (5.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sat, 16 Feb 2019 19:44:57 -0500

python-psutil (5.5.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces.

  [ Sandro Tosi ]
  * New upstream release
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.3.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Mon, 28 Jan 2019 23:20:40 -0500

python-psutil (5.4.8-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - bump Standards-Version to 4.2.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Fri, 23 Nov 2018 14:36:51 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: python-psutil
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 10), python-all-dev, python3-all-dev, python-all-dbg, python3-all-dbg, dh-python, procps, python3-sphinx, python-ipaddress, python-mock, python3-sphinx-rtd-theme
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 XS-Python-Version: all
 Homepage: https://github.com/giampaolo/psutil
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-psutil.git
@@ -26,7 +27,7 @@
 Package: python-psutil-dbg
 Section: debug
 Architecture: any
-Depends: ${misc:Depends}, python-psutil (= ${binary:Version}), python-dbg, ${shlibs:Depends}
+Depends: ${misc:Depends}, python-psutil (= ${binary:Version}), python2-dbg, ${shlibs:Depends}
 Description: module providing convenience functions for managing processes (debug)
  psutil is a module providing an interface for retrieving information on
  running processes and system utilization (CPU, memory) in a portable way

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/psutil/psutil-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-psutil 5.6.7

=== debian/changelog ===
python-psutil (5.6.7-2~mx19+1) mx; urgency=medium

  * Repackage of upstream release for MX-19.

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Wed, 29 Jan 2020 21:02:05 -0400

python-psutil (5.6.7-2) unstable; urgency=medium

  * Drop python2 support; Closes: #938050

 -- Sandro Tosi <morph@debian.org>  Fri, 10 Jan 2020 23:13:29 -0500

python-psutil (5.6.7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * New upstream release, fix CVE-2019-18874; Closes: #944605
  * debian/patches/0001-dont-depend-on-install-when-running-tests.patch
    - refresh patch to new upstream code

 -- Sandro Tosi <morph@debian.org>  Thu, 28 Nov 2019 21:43:56 -0500

python-psutil (5.6.1-1) experimental; urgency=medium

  * New upstream release
  * debian/patches/0002-pass-PYTHONPATH-to-the-test-runner.patch
    - refresh patch

 -- Sandro Tosi <morph@debian.org>  Sun, 31 Mar 2019 19:21:53 -0400

=== debian/control ===
Source: python-psutil
Section: python
Priority: optional
Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
Build-Depends: debhelper-compat (= 10),
               dh-python,
               procps,
               python3-all-dbg,
               python3-all-dev,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
Standards-Version: 4.4.1
XS-Python-Version: all
Homepage: https://github.com/giampaolo/psutil
Vcs-Git: https://salsa.debian.org/python-team/modules/python-psutil.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-psutil
Testsuite: autopkgtest-pkg-python

Package: python3-psutil
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Suggests: python-psutil-doc,
Description: module providing convenience functions for managing processes (Python3)
 psutil is a module providing an interface for retrieving information on
 running processes and system utilization (CPU, memory) in a portable way
 by using Python, implementing many functionalities offered by tools like
 ps, top and Windows task manager.
 .
 It currently supports Linux, OS X, FreeBSD and Windows.
 .
 This package contains the Python 3 version of psutil.

Package: python3-psutil-dbg
Section: debug
Architecture: any
Depends: python3-dbg,
         python3-psutil (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: module providing convenience functions for managing processes (Python3 debug)
 psutil is a module providing an interface for retrieving information on
 running processes and system utilization (CPU, memory) in a portable way
 by using Python, implementing many functionalities offered by tools like
 ps, top and Windows task manager.
 .
 It currently supports Linux, OS X, FreeBSD and Windows.
 .
 This package contains the debug extension for python3-psutil-.

Package: python-psutil-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: module providing convenience functions for managing processes (doc)
 psutil is a module providing an interface for retrieving information on
 running processes and system utilization (CPU, memory) in a portable way
 by using Python, implementing many functionalities offered by tools like
 ps, top and Windows task manager.
 .
 It currently supports Linux, OS X, FreeBSD and Windows.
 .
 This package contains the documentation for psutil.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

PY3VERS := $(shell py3versions -s)

export PYBUILD_AFTER_BUILD=$(MAKE) -C docs html PYTHON=python3

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	set -e ; \
	for python in $(PY3VERS); do \
		$$python setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-psutil; \
		$$python-dbg setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-psutil-dbg; \
	done


override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PYTHONWARNINGS=all PSUTIL_TESTING=1 PSUTIL_DEBUG=1 PYTHONPATH={build_dir} {interpreter} psutil/tests/__main__.py || true" dh_auto_test
endif

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst

override_dh_installdocs:
	dh_installdocs -X.DS_Store
	dh_installdocs -ppython-psutil-doc docs/_build/html README.rst

override_dh_compress:
	dh_compress -X.py

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython3-psutil --dbg-package=python3-psutil-dbg
endif

override_dh_shlibdeps:
	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info

## python-psutil 5.7.0

=== debian/changelog ===
python-psutil (5.7.0-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Mon, 20 Apr 2020 10:00:03 -0400

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export PYBUILD_AFTER_BUILD=$(MAKE) -C docs html PYTHON=python3
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_install:
 	set -e ; \
@@ -37,6 +37,3 @@
 ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
 	dh_strip -ppython3-psutil --dbg-package=python3-psutil-dbg
 endif
-
-override_dh_shlibdeps:
-	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info
